qpid::framing::MessageProperties Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::MessageProperties Class Reference

`#include <qpid/framing/MessageProperties.h>`

List of all members.

## Public Member Functions
| MessageProperties (uint64_t _contentLength, const Uuid &_messageId, const std::string &_correlationId, const ReplyTo &_replyTo, const std::string &_contentType, const std::string &_contentEncoding, const std::string &_userId, const std::string &_appId, const FieldTable &_applicationHeaders)
| MessageProperties ()
void | setContentLength (uint64_t _contentLength)
uint64_t | getContentLength () const
bool | hasContentLength () const
void | clearContentLengthFlag ()
void | setMessageId (const Uuid &_messageId)
const Uuid & | getMessageId () const
bool | hasMessageId () const
void | clearMessageIdFlag ()
void | setCorrelationId (const std::string &_correlationId)
const std::string & | getCorrelationId () const
bool | hasCorrelationId () const
void | clearCorrelationIdFlag ()
void | setReplyTo (const ReplyTo &_replyTo)
const ReplyTo & | getReplyTo () const
bool | hasReplyTo () const
void | clearReplyToFlag ()
void | setContentType (const std::string &_contentType)
const std::string & | getContentType () const
bool | hasContentType () const
void | clearContentTypeFlag ()
void | setContentEncoding (const std::string &_contentEncoding)
const std::string & | getContentEncoding () const
bool | hasContentEncoding () const
void | clearContentEncodingFlag ()
void | setUserId (const std::string &_userId)
const std::string & | getUserId () const
bool | hasUserId () const
void | clearUserIdFlag ()
void | setAppId (const std::string &_appId)
const std::string & | getAppId () const
bool | hasAppId () const
void | clearAppIdFlag ()
void | setApplicationHeaders (const FieldTable &_applicationHeaders)
const FieldTable & | getApplicationHeaders () const
FieldTable & | getApplicationHeaders ()
bool | hasApplicationHeaders () const
void | clearApplicationHeadersFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1027
## Friends
std::ostream & | operator<< (std::ostream &, const MessageProperties &)

## Constructor & Destructor Documentation

qpid::framing::MessageProperties::MessageProperties | ( | uint64_t | _contentLength,
|  | const Uuid & | _messageId,
|  | const std::string & | _correlationId,
|  | const ReplyTo & | _replyTo,
|  | const std::string & | _contentType,
|  | const std::string & | _contentEncoding,
|  | const std::string & | _userId,
|  | const std::string & | _appId,
|  | const FieldTable & | _applicationHeaders
| ) |  | `[inline]`

Definition at line 52 of file MessageProperties.h.

qpid::framing::MessageProperties::MessageProperties | ( |  | ) | `[inline]`

Definition at line 82 of file MessageProperties.h.

## Member Function Documentation

uint32_t qpid::framing::MessageProperties::bodySize | ( |  | ) | const

void qpid::framing::MessageProperties::clearAppIdFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearApplicationHeadersFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearContentEncodingFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearContentLengthFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearContentTypeFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearCorrelationIdFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearMessageIdFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearReplyToFlag | ( |  | ) |

void qpid::framing::MessageProperties::clearUserIdFlag | ( |  | ) |

void qpid::framing::MessageProperties::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::MessageProperties::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::MessageProperties::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::MessageProperties::encodedSize | ( |  | ) | const

void qpid::framing::MessageProperties::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::MessageProperties::getAppId | ( |  | ) | const

const FieldTable& qpid::framing::MessageProperties::getApplicationHeaders | ( |  | ) | const

FieldTable& qpid::framing::MessageProperties::getApplicationHeaders | ( |  | ) |

const std::string& qpid::framing::MessageProperties::getContentEncoding | ( |  | ) | const

uint64_t qpid::framing::MessageProperties::getContentLength | ( |  | ) | const

const std::string& qpid::framing::MessageProperties::getContentType | ( |  | ) | const

const std::string& qpid::framing::MessageProperties::getCorrelationId | ( |  | ) | const

const Uuid& qpid::framing::MessageProperties::getMessageId | ( |  | ) | const

const ReplyTo& qpid::framing::MessageProperties::getReplyTo | ( |  | ) | const

const std::string& qpid::framing::MessageProperties::getUserId | ( |  | ) | const

bool qpid::framing::MessageProperties::hasAppId | ( |  | ) | const

bool qpid::framing::MessageProperties::hasApplicationHeaders | ( |  | ) | const

bool qpid::framing::MessageProperties::hasContentEncoding | ( |  | ) | const

bool qpid::framing::MessageProperties::hasContentLength | ( |  | ) | const

bool qpid::framing::MessageProperties::hasContentType | ( |  | ) | const

bool qpid::framing::MessageProperties::hasCorrelationId | ( |  | ) | const

bool qpid::framing::MessageProperties::hasMessageId | ( |  | ) | const

bool qpid::framing::MessageProperties::hasReplyTo | ( |  | ) | const

bool qpid::framing::MessageProperties::hasUserId | ( |  | ) | const

void qpid::framing::MessageProperties::print | ( | std::ostream & | out | ) | const

void qpid::framing::MessageProperties::setAppId | ( | const std::string & | _appId | ) |

void qpid::framing::MessageProperties::setApplicationHeaders | ( | const FieldTable & | _applicationHeaders | ) |

void qpid::framing::MessageProperties::setContentEncoding | ( | const std::string & | _contentEncoding | ) |

void qpid::framing::MessageProperties::setContentLength | ( | uint64_t | _contentLength | ) |

void qpid::framing::MessageProperties::setContentType | ( | const std::string & | _contentType | ) |

void qpid::framing::MessageProperties::setCorrelationId | ( | const std::string & | _correlationId | ) |

void qpid::framing::MessageProperties::setMessageId | ( | const Uuid & | _messageId | ) |

void qpid::framing::MessageProperties::setReplyTo | ( | const ReplyTo & | _replyTo | ) |

void qpid::framing::MessageProperties::setUserId | ( | const std::string & | _userId | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const MessageProperties & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::MessageProperties::TYPE = 1027`[static]`

Definition at line 51 of file MessageProperties.h.

The documentation for this class was generated from the following file:

- qpid/framing/MessageProperties.h